v1
List Audit Logs
List audit events for the current workspace.
GET
/
v1
/
audit-logs
/
List Audit Logs
curl --request GET \
--url https://api.example.com/v1/audit-logs/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/audit-logs/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/audit-logs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"action": "<string>",
"actor_id": "<string>",
"actor_type": "<string>",
"changes": [
{}
],
"created_at": "<string>",
"event_metadata": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>",
"source_ip": "<string>",
"user_agent": "<string>",
"workspace_id": "<string>"
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by action (e.g. agent.create)
Filter by actor ID
Filter by resource type
Filter by resource ID
Events after this time (ISO 8601)
Events before this time (ISO 8601)
Cursor for pagination
Max events to return
Required range:
1 <= x <= 100⌘I
List Audit Logs
